- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_t

# mongoc_client_find_databases_with_opts()

## Synopsis

    mongoc_cursor_t *
    mongoc_client_find_databases_with_opts (mongoc_client_t *client,
                                            const bson_t *opts);

Fetches a cursor containing documents, each corresponding to a database on this MongoDB server.

## Parameters

- `client`: A mongoc_client_t.
- `opts`: A `bson_t` containing additional options.

`opts` may be NULL or a BSON document with additional command options:

- `sessionId`: First, construct a mongoc_client_session_t with mongoc_client_start_session(). You can begin a transaction with mongoc_client_session_start_transaction(), optionally with a mongoc_transaction_opt_t that overrides the options inherited from `client`, and use mongoc_client_session_append() to add the session to `opts`. See the example code for mongoc_client_session_t.
- `serverId`: To target a specific server, include an int32 “serverId” field. Obtain the id by calling mongoc_client_select_server(), then mongoc_server_description_id() on its return value.

## Errors

Use mongoc_cursor_error() on the returned cursor to check for errors.

## Returns

A cursor where each result corresponds to the server’s representation of a database.

The cursor functions mongoc_cursor_set_limit(), mongoc_cursor_set_batch_size(), and mongoc_cursor_set_max_await_time_ms() have no use on the returned cursor.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.